{ config, pkgs, inputs, ... }:

{
  services.nginx = {
    enable = true;

    recommendedGzipSettings = true;
    recommendedOptimisation = true;
    recommendedProxySettings = true;
    recommendedTlsSettings = true;

    virtualHosts."test.tsvallender.co.uk" = {
      forceSSL = true;
      enableACME = true;
      root = "/var/www/tsvallender.co.uk";
    };
  };
  security.acme = {
    acceptTerms = true;
    defaults = {
      email = "t+acme@tsvallender.co.uk";
    }; 
  };
}

